Subject: Old syscalls

From: 임태일 <[email-masked]>
Date: Mon, 8 May 2000 16:21:36 +0900

Is there any need to preserve old style syscalls(oldolduname, olduname, oldstat, and so on)?

It seems that glibc 2.0 doesn't use most of those syscalls. If it is for preserving compatibility with old libraries, will it be a good idea to add a CONFIG option for disabling them if I want to only use glibc 2.0 or later?

Tred Lim
[email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Mon, 8 May 2000 22:08:29 +0100 (BST)

ÀÓÅÂÀÏ writes:
> Content-Type: text/plain;
> 	charset="ks_c_5601-1987"
> Content-Transfer-Encoding: base64
> 
> SXMgdGhlcmUgYW55IG5lZWQgdG8gcHJlc2VydmUgb2xkIHN0eWxlIHN5c2NhbGxzKG9sZG9sZHVu
> YW1lLCBvbGR1bmFtZSwgb2xkc3RhdCwgYW5kIHNvIG9uKT8NCg0KSXQgc2VlbXMgdGhhdCBnbGli
> YyAyLjAgZG9lc24ndCB1c2UgbW9zdCBvZiB0aG9zZSBzeXNjYWxscy4gSWYgaXQgaXMgZm9yIHBy
> ZXNlcnZpbmcgY29tcGF0aWJpbGl0eSB3aXRoIG9sZCBsaWJyYXJpZXMsIHdpbGwgaXQgYmUgYSBn
> b29kIGlkZWEgdG8gYWRkIGEgQ09ORklHIG9wdGlvbiBmb3IgZGlzYWJsaW5nIHRoZW0gaWYgSSB3
> YW50IHRvIG9ubHkgdXNlIGdsaWJjIDIuMCBvciBsYXRlcj8NCg0KVHJlZCBMaW0NCnRybGltQGdt
> YXRlLmNvLmtyDQoNCg==

Any chance of encoding with something a little more readable?  For those
without mime extensions, here is a conventional copy of the mail in its
entirety:

> It seems that glibc 2.0 doesn't use most of those syscalls. If it is for
> preserving compatibility with old libraries, will it be a good idea to add
> a CONFIG option for disabling them if I want to only use glibc 2.0 or later?
> 
> Tred Lim
> [email-masked]

I think we can safely get rid of oldolduname (sys_olduname) and olduname
(sys_uname) since these have been warned ever since 2.2 that they are
obsolete.  So far, no reports of these messages have ever been seen.

However, the older stat stuff hasn't had any warning, so I don't know if
there is still any code out there using them.  I'd therefore prefer to
"play it safe" as 2.4 is approaching and leave these in for that.  We
can always take them out during 2.5.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]